//
//  TestViews.m
//  CreepingTextView
//
//  Created by Daniel Jalkut on 4/9/15.
//  Copyright (c) 2015 Red Sweater. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface TestScrollView : NSScrollView
@end

@implementation TestScrollView

- (void) setFrameSize:(NSSize)newSize
{
	NSLog(@"SCROLL VIEW size now %@", NSStringFromSize(newSize));
	[super setFrameSize:newSize];
}

@end


@interface TestClipView : NSClipView
@end

@implementation TestClipView

- (void) setFrameSize:(NSSize)newSize
{
	NSLog(@"CLIP VIEW size now %@", NSStringFromSize(newSize));
	[super setFrameSize:newSize];
}

- (void) resizeSubviewsWithOldSize:(NSSize)oldSize
{
	NSLog(@"CLIP VIEW resizing subviews");
	[super resizeSubviewsWithOldSize:oldSize];
}

@end


@interface TestTextView : NSTextView
@end

@implementation TestTextView

- (void) setFrameSize:(NSSize)newSize
{
	NSLog(@"TEXT VIEW size now %@", NSStringFromSize(newSize));
	[super setFrameSize:newSize];
}

@end

